from lightbulb.core.utils.browsersocket_hander import BrowserSocketHandler

META = {
        'author': 'George Argyros, Ioannis Stais',
        'description': 'Learns a Browser parser using a file containing regular expressions or grammar as input',
        'type':'GOFA',
        'options': [
            ('WSPORT', "8000", True, 'The Web Socket server port'),
            ('WBPORT', "8080", True, 'The Web server port'),
            ('HOST', "localhost", True, 'The Web server and web socket host'),
            ('INPUT', True, True, 'Preload the input filter'),
            ('DELAY', "50", True, 'Wait time for objects to load'),
        ],
        'comments': ['Sample comment 1', 'Sample comment 2']
    }

class Module():


    def __init__(self, configuration):
        self.browser_socket_handler = BrowserSocketHandler(int(configuration['WSPORT']), int(configuration['WBPORT']), True, configuration['DELAY'], configuration['HOST'])
        for i in range(1,1000):
            self.result = self.browser_socket_handler.do_query(configuration['INPUT'])



    def learn(self):
        pass

    def stats(self):
        return [("Membership Queries","")]


    def getresult(self):
        return "Result", self.result